## ctdb 1.10+git20110722

=== debian/changelog ===
ctdb (1.10+git20110722-1) unstable; urgency=low

  * New upstream snapshot
    - removed 50-fix-bashism.diff, merged upstream 
    - removed 70-ping_pong-manpage.diff, merged upstream 
  * Fix Apache's event script (Closes: #635136)
  * d/rules: reordering to match dh order (dh_installchangelogs after
    dh_installdoc, dh_installlogrotate after dh_installinit, dh_installinit
    after dh_installman, dh_strip after dh_fixperms and dh_shlibdeps before
    dh_installdeb)
  * Override lintian warning about script-not-executable (this is the way to
    disable scripts)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 26 Jul 2011 19:52:42 +0200

ctdb (1.10+git20110412-2) unstable; urgency=low

  * Upload to unstable 
  * Bump Standards-Version to 3.9.2: no changes

 -- Mathieu Parent <sathieu@debian.org>  Tue, 17 May 2011 22:54:58 +0200

ctdb (1.10+git20110412-1) experimental; urgency=low

  * New upstream snapshot
    - control: add a new control opcode CTDB_CONTROL_SCHEDULE_FOR_DELETION
    - re-added a new 50-fix-bashism.diff
    - removed 62-spelling-errors.diff, merged upstream

 -- Mathieu Parent <sathieu@debian.org>  Sat, 16 Apr 2011 16:38:18 +0200

ctdb (1.10-3) experimental; urgency=low

  * Fix "FTBFS: dh_install: ctdb missing files
    (usr/share/doc/ctdb/ctdb/*), aborting" by correcting d/ctdb.install
    (Closes: #620539)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 05 Apr 2011 21:37:57 +0200

ctdb (1.10-2) experimental; urgency=low

  * remove ctdb-dev to libctdb-dev

 -- Mathieu Parent <sathieu@debian.org>  Tue, 29 Mar 2011 20:40:19 +0200

ctdb (1.10-1) experimental; urgency=low

  * New upstream release, uploaded to experimental (testing needed)
    - updated 02_ctdb_diagnostics.diff
    - removed 50-fix-bashism.diff, merged upstream
    - removed 60-spelling-errors.diff, merged upstream
    - removed 61-spelling-errors-manpages.diff, merged upstream
    - removed 70-nfstickle-sysconfig.diff, fixed upstream
    - removed 71-correct-nice_service.diff, merged upstream
    - added 62-spelling-errors.diff, again
  * d/watch, d/uupdate-wrapper: use new upstream git url
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.1: no changes
  * Added 70-ping_pong-manpage.diff
  * Added 99-fix-broken-readdir-test.diff (Closes: #603155)
  * Upgrading to debhelper 7
    - Replaced 'dh_clean -k -i' by 'dh_prep -i'
  * New package ctdb-dev, add the corresponding Breaks and Replaces
  * d/ctdb.init: updated

 -- Mathieu Parent <sathieu@debian.org>  Sat, 26 Mar 2011 21:26:37 +0100

ctdb (1.0.112-12-1) unstable; urgency=low

  * New upstream release

 -- Mathieu Parent <sathieu@debian.org>  Fri, 12 Mar 2010 14:12:47 +0100

ctdb (1.0.112-11-2) unstable; urgency=low

  * New 71-correct-nice_service.diff: Correct nice_service() to be compatible
    with distributions without service
  * Add missing "scripts" directory to tests

 -- Mathieu Parent <sathieu@debian.org>  Fri, 12 Mar 2010 13:58:25 +0100

ctdb (1.0.112-11-1) unstable; urgency=low

  * New upstream release. 1.0.112 branch was recommended by Ronnie Sahlberg on
    IRC. 
  * debian/uupdate-wrapper: allow commithashes and branches as versions 
  * Bump Standards-Version to 3.8.4: no changes
  * Add ctdb-dbg: "CTDB debugging symbols" package
  * New 61-spelling-errors-manpages.diff, thanks to lintian 
  * Include testsuite in ctdb-dbg (Closes: #569206)
  * Move logfile to /var/log/ctdb. Fix "Log file should be renamed"
    (Closes: #569205)
  * 50-fix-bashism.diff is back (Fix some more bashisms)
  * New 70-nfstickle-sysconfig.diff: Don't call /etc/sysconfig/nfs

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Mar 2010 17:43:40 +0100

ctdb (1.0.111-1) unstable; urgency=low

  * New upstream release
    - Refreshed patches
    - Refreshed ctdb.init 

 -- Mathieu Parent <sathieu@debian.org>  Mon, 04 Jan 2010 23:13:12 +0100

ctdb (1.0.108-3) unstable; urgency=low

  * 05-hurd.diff updated: to make it build on GNU Hurd again.
  * Added README.hurd for CTDB limitations on GNU Hurd.

 -- Mathieu Parent <sathieu@debian.org>  Sun, 13 Dec 2009 20:56:27 +0100

ctdb (1.0.108-2) unstable; urgency=low

  * Fix "auto init style detection fails with Debian's init script"
    by replacing ubuntu by debian in the initscript (Closes: #560385)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 10 Dec 2009 21:43:54 +0100

ctdb (1.0.108-1) unstable; urgency=low

  * New upstream release
    - removed 50-fix-bashism.diff: patch integrated 
    - Updated ctdb.init (Commit 058e21d96c3c02759833fd5ddfe7b43e6a5f5740
      "From Rusty")
    - refreshed patches
  * debian/uupdate-wrapper can now pull master branch with:
    ./debian/uupdate-wrapper --version master
  * New 60-spelling-errors.diff, thanks to lintian
  * Install tests/bin/ctdb_transaction in /usr/sbin instead of docdir (as
    upstream) where it was gzipped and not executable. 

 -- Mathieu Parent <sathieu@debian.org>  Thu, 10 Dec 2009 17:00:27 +0100

ctdb (1.0.103-1) unstable; urgency=low

  * New upstream release
  * upstream changelog is now in packaging/RPM/ctdb.spec.in instead of
    packaging/RPM/ctdb.spec. Reflects this in debian/rules

 -- Mathieu Parent <sathieu@debian.org>  Thu, 05 Nov 2009 08:27:23 +0100

ctdb (1.0.99-1) unstable; urgency=low

  * New upstream release
  * ctdb.init: ported 'move the logging of the warning "No reclock file used"
    to the startup case so we only print this warning on "service ctdb start"
    and not for "service ctdb *"' from upstream
    (commit eb854f65f978f24583e221138eb4f9b917b89285)
  * Remove XS-DM-Upload-Allowed, as I am now Debian developer

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Oct 2009 14:59:19 +0200

ctdb (1.0.92-1) unstable; urgency=low

  * New upstream release, patches integrated :
    - 30_outdated-autotools.diff 
    - 50-fix-bashism.diff
  * Change my email address, as I am now Debian developer 
  * 50-fix-bashism.diff is back for another bashism in
    config/events.d/11.natgw


