=== debian/control ===
Source: ctdb
Section: net
Priority: extra
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 7), libpopt-dev, libpcap-dev [hurd-i386]
Homepage: http://ctdb.samba.org/
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ctdb/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/ctdb/

Package: ctdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute [!hurd-i386], psmisc, tdb-tools, time
Recommends: ethtool
Suggests: logrotate, lsof, libctdb-dev
Description: clustered database to store temporary data
 CTDB is a cluster implementation of the TDB database used by Samba and other
 projects to store temporary data. If an application is already using TDB for
 temporary data it is very easy to convert that application to be cluster aware 
 and use CTDB instead.
 .
 CTDB provides the same types of functions as TDB but in a clustered fashion, 
 providing a TDB-style database that spans multiple physical hosts in a cluster.
 .
 Features include:
  * CTDB provides a TDB that has consistent data and consistent locking across 
    all nodes in a cluster.
  * CTDB is very fast.
  * In case of node failures, CTDB will automatically recover and repair all TDB
    databases that it manages.
  * CTDB is the core component that provides pCIFS ("parallel CIFS") with 
    Samba3/4.
  * CTDB provides HA features such as node monitoring, node failover, and IP 
    takeover.
  * CTDB provides a reliable messaging transport to allow applications linked 
    with CTDB to communicate to other instances of the application running on
    different nodes in the cluster.
  * CTDB has pluggable transport backends. Currently implemented backends are 
    TCP and Infiniband.
  * CTDB supports a system of application specific management scripts, allowing
    applications that depend on network or filesystem resources to be managed in
    a highly available manner on a cluster. 

Package: libctdb-dev
Section: libdevel
Architecture: any
Depends: ctdb (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: ctdb (<<1.10)
Breaks: ctdb (<<1.10)
Description: clustered database to store temporary data -- development files
 CTDB is a cluster implementation of the TDB database used by Samba and other
 projects to store temporary data. If an application is already using TDB for
 temporary data it is very easy to convert that application to be cluster aware 
 and use CTDB instead.
 .
 More detailed description can be found in the ctdb package.
 .
 This package provides development files for CTDB.

Package: ctdb-dbg
Section: debug
Architecture: any
Depends: ctdb (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: clustered database to store temporary data -- debugging symbols and test suite
 CTDB is a cluster implementation of the TDB database used by Samba and other
 projects to store temporary data. If an application is already using TDB for
 temporary data it is very easy to convert that application to be cluster aware 
 and use CTDB instead.
 .
 More detailed description can be found in the ctdb package.
 .
 This package provides debugging information and test suite for CTDB. Install it
 to get a better backtrace in the event of a crash, or to test.
