## ctdb 1.11%2Bgit20111102

=== debian/changelog ===
ctdb (1.11+git20111102-2~bpo60+3) squeeze-backports; urgency=low

  * Team upload
  * Fix libdir to /usr/lib so that the backport builds on amd64

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Mar 2012 22:28:18 +0100

ctdb (1.11+git20111102-2~bpo60+2) squeeze-backports; urgency=low

  * Team upload
  * Drop wildcards in libctdb-dev.install. That should hopefully
    solve build problems on autobuilders

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Feb 2012 16:59:59 +0100

ctdb (1.11+git20111102-2~bpo60+1) squeeze-backports; urgency=low

  * Team upload
  * Backport to squeeze
  * Downgrade debhelper compatibility to 8. That involves dropping
    some dh9-isms in libctdb-dev.install

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 Jan 2012 19:24:57 +0100

ctdb (1.11+git20111102-2) unstable; urgency=low

  [ Steve Langasek ]
  * Further reduce debian/rules with dh:
    - move dh_auto_clean overrides to debian/clean
    - don't export various variables that are no longer used.

  [ Mathieu Parent ]
  * removed obsolete d/README.source
  * removed empty d/ctdb.links
  * d/copyright: converted to dep5
  * 04-platform-independent-get-peer-pid.diff: new
  * 05-hurd.diff: updated to prevent FTBFS:
    - include tevent.h instead of events.h
    - add ctdb_sys_check_iface_exists() function
    - part moved to 04-platform-independent-get-peer-pid.diff
  * 06-kfreebsd.diff: new, for kFreeBSD support: still doesn't build because
    ETIME is not present on kFreeBSD

 -- Mathieu Parent <sathieu@debian.org>  Fri, 25 Nov 2011 20:24:43 +0100

ctdb (1.11+git20111102-1) unstable; urgency=low

  * New upstream release
    - removed 92-apache-service-enable.diff: integrated 
    - removed 99-fix-broken-readdir-test.diff: integrated
  * d/rules, d/control, d/compat:
    - converted to dh (% target and dh_auto_*)
    - moved to compat level 9 (buildeps upgraded)
    - dh9 enabled hardening build flags
    - added hardening=+bindnow
    - dh9 enabled multiarch
      + Don't use /use/lib64 on ppc64 (Closes: #644907)
      + libctdb-dev is Multi-Arch: same
      + removed 10_no-lib64.diff: not needed with multiarch
  * ctdb.init:
    - removed gettext support
    - synced with upstream

 -- Mathieu Parent <sathieu@debian.org>  Sun, 06 Nov 2011 15:18:59 +0100

ctdb (1.0.112-12-3) stable; urgency=low

  * Really fix httpd (i.e. apache2 service) activation
    (the previous patch was depending on commit d98f175e which was not in ctdb
    1.0.112-12). 

 -- Mathieu Parent <sathieu@debian.org>  Wed, 21 Sep 2011 09:02:21 +0200

ctdb (1.0.112-12-2) stable; urgency=low

  * Fix ethtool path in /etc/ctdb/events.d/10.interface (Closes: #635135)
  * Fix httpd (i.e. apache2 service) activation (Closes: #635136)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 25 Jul 2011 23:21:26 +0200
