## ctdb 1.11+git20111102

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 7), libpopt-dev, libpcap-dev [hurd-i386]
+Build-Depends: debhelper (>= 8.9.4~), libpopt-dev, libpcap-dev [hurd-i386]
 Homepage: http://ctdb.samba.org/
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ctdb/
@@ -45,6 +45,7 @@
 Package: libctdb-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ctdb (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Replaces: ctdb (<<1.10)
 Breaks: ctdb (<<1.10)
