=== debian/watch ===
version=3
opts=filenamemangle=s/^.*ctdb-([\d\.]+)/ctdb-$1/ \
http://git.samba.org/?p=ctdb.git;a=tags \
/\?p=ctdb.git;a=shortlog;h=refs/tags/ctdb-([\d\.]+) \
debian debian/uupdate-wrapper
