## ctdb 1.12+git20120201

=== debian/changelog ===
ctdb (1.12+git20120201-2) unstable; urgency=low

  * Load platform dependent objs instead of Linux one
    Hopefully, this will fix FTBFS on kFreeBSD and GNU/Hurd 

 -- Mathieu Parent <sathieu@debian.org>  Sat, 04 Feb 2012 14:50:38 +0100

ctdb (1.12+git20120201-1) unstable; urgency=low

  * New upstream snapshot
    - removed 02_ctdb_diagnostics.diff: integrated
    - removed 04-platform-independent-get-peer-pid.diff: integrated
    - removed 05-hurd.diff: integrated
    - removed 06-kfreebsd.diff: integrated
    - No more patches! (except the init script)
  * I hope that it builds on kFreeBSD now ;-)
  * Build-depend on debhelper 9 now that it is in testing

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Feb 2012 20:01:37 +0100
