=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 8.9.4~), libpopt-dev, libpcap-dev [hurd-i386]
+Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any]
 Homepage: http://ctdb.samba.org/
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ctdb/
