=== debian/rules ===
--- 
+++ 
@@ -2,20 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This has to be exported to make some magic below work.
-export DH_OPTIONS
-
-# Set the host and build architectures for use with config.cache loading,
-# cross-building, etc.
-DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-export DEB_HOST_GNU_TYPE
-export DEB_BUILD_GNU_TYPE
-export DEB_HOST_ARCH_OS
 
 export DEB_CFLAGS_MAINT_APPEND  := -Wall
 export DEB_BUILD_MAINT_OPTIONS	:= hardening=+bindnow
@@ -52,15 +38,10 @@
 
 override_dh_installinit:
 	#install init script
-	DH_OPTIONS= dh_installinit -pctdb --no-start --no-restart-on-upgrade
+	dh_installinit -pctdb --no-start --no-restart-on-upgrade
 
 override_dh_strip:
 	dh_strip --dbg-package=ctdb-dbg
-
-override_dh_auto_clean:
-	rm -f build-arch-stamp build-indep-stamp configure-stamp
-	rm -f utils/smnotify/smnotify.h utils/smnotify/gen_smnotify.c
-	dh_auto_clean
 
 check-external-libs:
 	if [ -e lib/popt ]; then \
