## ctdb 2.1

=== debian/changelog ===
ctdb (2.1-2) unstable; urgency=low

  * Upload to unstable (Closes: #706690)
  * Update config.{sub,guess} to 2013-04-24
  * Include config.h in libctdb/ctdb.c (Closes: #703551)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 06 May 2013 15:20:27 +0200

ctdb (2.1-1) experimental; urgency=low

  * New upstream release 2.1
    - Remove 0001-Load-platform-dependent-objs-instead-of-Linux-one.patch,
      integrated
    - ctdb.init updated
  * Moved to git:
    - Added gpb.conf
    - Updated VCS-* fields 
    - Removed d/svn-deblayout
  * d/watch, d/uupdate-wrapper: Updated to donwload from ftp.samba.org
  * Update standards-version to 3.9.4 (no changes)
  * Remove extra-license-file
  * Mark ctdb Multi-Arch: foreign
  * Fix "Hardening flags missing" (Closes: #665209)
    - Append CPPFLAGS to CFLAGS as the build system doesn't use CPPFLAGS
    - new 0001-Add-missing-LDFLAGS.patch
    - new 0002-Display-compiler-commands.patch
    - Thanks to Simon Ruderich
  * Release to experimental during freeze
  * Updated README.hurd 
  * Added README.kfreebsd 
  * ethtool is linux-any
  * Add README.Debian for Samba 3 configuration 

 -- Mathieu Parent <sathieu@debian.org>  Sat, 12 Jan 2013 17:22:06 +0100

ctdb (1.12+git20120201-3) unstable; urgency=high

  * Team upload.
  * Only depend on iproute on linux to fix installability on kfreebsd
    (Closes: #676963)
  * Update standards-version to 3.9.3 (no changes)

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 12 Jun 2012 20:43:47 +0200
