=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any]
 Homepage: http://ctdb.samba.org/
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ctdb/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/ctdb/
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-samba/ctdb.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-samba/ctdb.git
 
 Package: ctdb
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute [!hurd-i386], psmisc, tdb-tools, time
-Recommends: ethtool
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute [linux-any], psmisc, tdb-tools, time
+Recommends: ethtool [linux-any]
 Suggests: logrotate, lsof, libctdb-dev
 Description: clustered database to store temporary data
  CTDB is a cluster implementation of the TDB database used by Samba and other
