=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_CFLAGS_MAINT_APPEND  := -Wall
+# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
+# missing (hardening) flags.
+export DEB_CFLAGS_MAINT_APPEND  := -Wall $(shell dpkg-buildflags --get CPPFLAGS)
 export DEB_BUILD_MAINT_OPTIONS	:= hardening=+bindnow
 
 DESTDIR=$(CURDIR)/debian/tmp
@@ -19,17 +21,23 @@
 	dh_auto_configure -- $(conf_args)
 
 override_dh_auto_test:
-	# skipping tests
+	# FIXME skipping tests
 
 override_dh_auto_install:
 	dh_auto_install
+	# Install /etc/default/ctdb
 	mkdir -p $(DESTDIR)/etc/default
 	install -m644 config/ctdb.sysconfig $(DESTDIR)/etc/default/ctdb
+	# Remove extra-license-file
+	rm $(DESTDIR)/usr/share/doc/ctdb/COPYING
 
 override_dh_installdocs:
 	dh_installdocs
 ifeq ($(DEB_BUILD_ARCH_OS), hurd)
 	dh_installdocs debian/README.hurd
+endif
+ifeq ($(DEB_BUILD_ARCH_OS), kfreebsd)
+	dh_installdocs debian/README.kfreebsd
 endif
 	#patch doc
 	sed -i 's|/etc/sysconfig/|/etc/default/|' $(CURDIR)/debian/ctdb/usr/share/doc/ctdb/web/*.html
