=== debian/watch ===
version=3
# From http://ftp.samba.org/
opts=dversionmangle=s/\.dfsg\d+$// \
http://ftp.samba.org/pub/ctdb/ctdb-(.*).tar.gz \
debian debian/uupdate-wrapper

# From git:
#opts=dversionmangle=s/\.dfsg\d+$//,filenamemangle=s/^.*ctdb-([\d\.]+)/ctdb-$1/ \
#http://git.samba.org/?p=ctdb.git;a=tags \
#/\?p=ctdb.git;a=shortlog;h=refs/tags/ctdb-([\d\.]+) \
#debian debian/uupdate-wrapper
