## ctdb 2.2+debian0

=== lib/socket_wrapper/wscript ===
#!/usr/bin/env python

import Options

def set_options(opt):
    gr = opt.option_group('developer options')
    gr.add_option('--enable-socket-wrapper',
                   help=("Turn on socket wrapper library (default=no)"),
                   action="store_true", dest='enable_socket_wrapper', default=False)

def configure(conf):
    if (Options.options.enable_socket_wrapper or Options.options.developer or Options.options.enable_selftest):
        conf.DEFINE('SOCKET_WRAPPER', 1)
        conf.ADD_GLOBAL_DEPENDENCY('socket_wrapper')
