=== debian/changelog ===
ctdb (2.2+debian0-1) unstable; urgency=low

  * New upstream release 2.2
    - Removed 0001-Add-missing-LDFLAGS.patch, merged
    - Updated 0002-Display-compiler-commands.patch
    - Removed 0003-Update-config.-sub-guess-to-2013-04-24.patch (recent version
      upstream)
    - Updated 0004-Include-config.h-in-libctdb-ctdb.c-Closes-703551.patch
  * Use pristine-tar
  * Remove tdb, talloc and tevent from source and replace them by builddeps
    - Requires 0005-Fix-tdb.h-path.patch

 -- Mathieu Parent <sathieu@debian.org>  Thu, 06 Jun 2013 22:19:14 +0200
