=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any]
+Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any], libtdb-dev, libtalloc-dev, libtevent-dev
 Homepage: http://ctdb.samba.org/
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-samba/ctdb.git
