=== debian/rules ===
--- 
+++ 
@@ -52,13 +52,14 @@
 	dh_strip --dbg-package=ctdb-dbg
 
 check-external-libs:
-	if [ -e lib/popt ]; then \
+	@if [ -e lib/popt -o -e lib/tdb -o -e lib/talloc -o -e lib/tevent ]; then \
               echo " *****************************************"; \
 	      echo " **                                     **"; \
 	      echo " **  tar contains external libraries!   **"; \
 	      echo " **                                     **"; \
               echo " *****************************************"; \
-	      echo "The tarball should be made by using uscan or"; \
+	      echo "The tarball should be made by using"; \
+	      echo "git-import-orig, uscan or"; \
 	      echo "debian/uupdate-wrapper"; \
 	      echo ""; \
 	      exit 1; \
