## ctdb 2.4+debian0

=== debian/changelog ===
ctdb (2.4+debian0-1) unstable; urgency=low

  * New upstream release 2.4
  * Copyright:
    - Remove references to lib/{events,talloc,tdb} as they are now builddeps
    - Add some missing copyright holders (Closes: #721104)
  * Replace obsolete iproute dependency by iproute2
  * Change ctdb.service mode to 644 from 755

 -- Mathieu Parent <sathieu@debian.org>  Thu, 29 Aug 2013 08:15:33 +0200

ctdb (2.3+debian0-1) unstable; urgency=low

  * New upstream release 2.3
    - Fixes for Mayhem crashes (Closes: #715763, #715764, #716158)
    - Removed 0005-Fix-tdb.h-path.patch, merged 
    - Removed 0002-Display-compiler-commands.patch, merged
    - Removed 0004-Include-config.h-in-libctdb-ctdb.c-Closes-703551.patch,
      merged
  * d/rules: set VERBOSE=1 (replaces 0002-Display-compiler-commands.patch)
  * d/control: set buildep versions of lib{tdb,talloc,tevent}, according to
    ctdb.spec
  * Docs are not in Makefile anymore, install using dh_installdocs
  * sudo is now required
  * Enable PCP-PMDA (Performance Co-Pilot - Performance Metric Domain Agents)
  * Use upstream init script
    - New Add-missing-remote_fs-LSB-dependency.patch: Add missing
      $remote_fs LSB dependency
  * Add systemd support

 -- Mathieu Parent <sathieu@debian.org>  Sat, 17 Aug 2013 16:54:14 +0200
