=== debian/changelog ===
ctdb (2.5.1+debian0-1) unstable; urgency=low

  * New upstream release 2.5.1
    - Removed 0001-Add-missing-remote_fs-LSB-dependency.patch: merged
      upstream
    - libctdb removed, and so is usr/lib/*/lib*.a in libctdb-dev

 -- Mathieu Parent <sathieu@debian.org>  Wed, 18 Dec 2013 12:49:04 +0100
