=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any], libtdb-dev, libtalloc-dev, libtevent-dev
+Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any], libtdb-dev (>= 1.2.11), libtalloc-dev (>= 2.0.8), libtevent-dev (>= 0.9.18), libpcp3-dev, libpcp-pmda3-dev, dh-systemd (>= 1.5)
 Homepage: http://ctdb.samba.org/
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-samba/ctdb.git
@@ -12,13 +12,13 @@
 Package: ctdb
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute [linux-any], psmisc, tdb-tools, time
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute2 [linux-any], psmisc, tdb-tools, time, sudo
 Recommends: ethtool [linux-any]
 Suggests: logrotate, lsof, libctdb-dev
 Description: clustered database to store temporary data
  CTDB is a cluster implementation of the TDB database used by Samba and other
  projects to store temporary data. If an application is already using TDB for
- temporary data it is very easy to convert that application to be cluster aware 
+ temporary data it is very easy to convert that application to be cluster aware
  and use CTDB instead.
  .
  CTDB provides the same types of functions as TDB but in a clustered fashion, 
@@ -53,7 +53,7 @@
 Description: clustered database to store temporary data -- development files
  CTDB is a cluster implementation of the TDB database used by Samba and other
  projects to store temporary data. If an application is already using TDB for
- temporary data it is very easy to convert that application to be cluster aware 
+ temporary data it is very easy to convert that application to be cluster aware
  and use CTDB instead.
  .
  More detailed description can be found in the ctdb package.
@@ -67,7 +67,7 @@
 Description: clustered database to store temporary data -- debugging symbols and test suite
  CTDB is a cluster implementation of the TDB database used by Samba and other
  projects to store temporary data. If an application is already using TDB for
- temporary data it is very easy to convert that application to be cluster aware 
+ temporary data it is very easy to convert that application to be cluster aware
  and use CTDB instead.
  .
  More detailed description can be found in the ctdb package.
@@ -75,3 +75,17 @@
  This package provides debugging information and test suite for CTDB. Install it
  to get a better backtrace in the event of a crash, or to test.
 
+Package: ctdb-pcp-pmda
+Architecture: any
+Depends: ctdb (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: clustered database to store temporary data -- PDM PMDA
+ CTDB is a cluster implementation of the TDB database used by Samba and other
+ projects to store temporary data. If an application is already using TDB for
+ temporary data it is very easy to convert that application to be cluster aware
+ and use CTDB instead.
+ .
+ More detailed description can be found in the ctdb package.
+ .
+ This package provides PCP-PMDA (Performance Co-Pilot - Performance Metric
+ Domain Agents) support for CTDB.
+
