## ctdb 2.5.2+debian0

=== debian/changelog ===
ctdb (2.5.2+debian0-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Remove pcp pmda support

 -- Mathieu Parent <sathieu@debian.org>  Sat, 15 Mar 2014 22:10:38 +0100

ctdb (2.5.2+debian0-1) unstable; urgency=medium

  * New upstream release 2.5.2
  * Standards-Version: 3.9.5, no change

 -- Mathieu Parent <sathieu@debian.org>  Fri, 21 Feb 2014 06:31:01 +0100
