## ctdb 2.5.3+debian0

=== debian/changelog ===
ctdb (2.5.3+debian0-2) unstable; urgency=medium

  * Fixed d/watch
  * Use cgit in Vcs-Browser
  * Fix socket path (Closes: #758621)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 22 Aug 2014 21:26:57 +0200

ctdb (2.5.3+debian0-1) unstable; urgency=medium

  * New upstream release 2.5.3

 -- Mathieu Parent <sathieu@debian.org>  Sat, 05 Apr 2014 13:46:43 +0200
