=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 conf_args = \
 		--localstatedir=/var/lib \
+		--with-socketpath=/var/run/ctdb/ctdbd.socket \
 		--with-logdir=/var/log/ctdb \
 		--enable-pmda
