## ctdb 2.5.4+debian0

=== debian/changelog ===
ctdb (2.5.4+debian0-4) unstable; urgency=medium

  * Install ctdb.service during dh_install, and thus before dh_systemd_enable
    (Closes: #774328)
  * d/rules: Remove unneeded override_dh_systemd_enable

 -- Mathieu Parent <sathieu@debian.org>  Wed, 28 Jan 2015 19:19:14 +0100

ctdb (2.5.4+debian0-3) unstable; urgency=medium

  * Simplify fix for bug #773016 by simply passing --localstatedir=/var.
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Dec 2014 21:55:19 +0000

ctdb (2.5.4+debian0-2) unstable; urgency=medium

  * Add socket lock path to /var/run/ctdb. Closes: #773016
  * Add myself to uploaders.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Dec 2014 15:19:27 +0000

ctdb (2.5.4+debian0-1) unstable; urgency=medium

  * New upstream release 2.5.4

 -- Mathieu Parent <sathieu@debian.org>  Fri, 03 Oct 2014 22:19:47 +0200
