=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Mathieu Parent <sathieu@debian.org>
+Uploaders: Mathieu Parent <sathieu@debian.org>, Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any], libtdb-dev (>= 1.2.11), libtalloc-dev (>= 2.0.8), libtevent-dev (>= 0.9.18), libpcp3-dev, libpcp-pmda3-dev, dh-systemd (>= 1.5)
 Homepage: http://ctdb.samba.org/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-samba/ctdb.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-samba/ctdb.git
