=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DESTDIR=$(CURDIR)/debian/tmp
 
 conf_args = \
-		--localstatedir=/var/lib \
+		--localstatedir=/var \
 		--with-socketpath=/var/run/ctdb/ctdbd.socket \
 		--with-logdir=/var/log/ctdb \
 		--enable-pmda
@@ -29,9 +29,6 @@
 override_dh_auto_test:
 	# skipping (runtime) tests
 
-override_dh_systemd_enable:
-	dh_systemd_enable -pctdb
-
 override_dh_systemd_start:
 	dh_systemd_start -pctdb --no-start --no-restart-on-upgrade
 
@@ -42,9 +39,6 @@
 	# Install /etc/init.d/ctdb
 	mkdir -p $(CURDIR)/debian/ctdb/etc/init.d
 	install -m755 config/ctdb.init $(CURDIR)/debian/ctdb/etc/init.d/ctdb
-	# Install /lib/systemd/system/ctdb.service
-	mkdir -p $(CURDIR)/debian/ctdb/lib/systemd/system
-	install -m644 config/ctdb.service $(CURDIR)/debian/ctdb/lib/systemd/system/ctdb.service
 	# Install dh scripts
 	dh_installinit -pctdb --no-start --no-restart-on-upgrade --onlyscripts
