=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=3
 # From http://ftp.samba.org/
-opts=dversionmangle=s/\.debian\d+$// \
+opts=dversionmangle=s/\+debian\d+$// \
 http://ftp.samba.org/pub/ctdb/ctdb-(.*).tar.gz \
 debian debian/uupdate-wrapper
